QGIS Application - Bug report #14990

Network Cache directory (eg for WMS) not being saved between sessions

2016-06-10 12:25 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22938
Description

Debian self compiled master here. Starting up with it's own config path (--configpath) | had troubles adding newly created Geoserver WMS
layers (http://0sgeo-org.1560.x6.nabble.com/WMS-provider-Cannot-calculate-extent-td5250516.html and #13762) and tried to fiddle with

the cache directory.
After setting it, the layer immidiatly loaded ???

But after a qgis restart, the cache directory was not saved (empty 'Directory' input, see screenshot).

BUT | can load the wms layer again.
Adding a new layer | had the same problem..

As said, | think this maybe has something todo with #13762

Related issues:

Duplicated by QGIS Application - Bug report # 14514: QGIS master forgets netw...

Closed

2016-03-16

Associated revisions

Revision 7c72fefd - 2016-06-12 01:48 PM - Matthias Kuhn

Fix network cache configuration

Fix #14990

Revision 6110842 - 2016-07-11 03:20 PM - Matthias Kuhn

Fix network cache configuration

Fix #14990

History

#1 - 2016-06-12 04:48 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"7c72fefd7c7a22bf08d26d902dc54c76e2a74df3".

#2 - 2016-06-14 01:32 AM - Darek Bobak
- Status changed from Closed to Reopened

2024-04-10

12


http://osgeo-org.1560.x6.nabble.com/WMS-provider-Cannot-calculate-extent-td5250516.html

In latest QGIS Master (flec121, just installed with OSGeo4W installer) the bug still exists.

Platform: Windows 10 Pro x64.
See also issue #14514

#3 - 2016-06-14 03:47 AM - Nyall Dawson

- Status changed from Reopened to Closed

That build doesn't yet include the fix. You'll need to wait for a newer build.

Files

nocachepath.png 229 KB

2024-04-10

2016-06-09

Richard Duivenvoorde

22



